std::gamma_distribution< _RealType >(3cxx)

NAME
std::gamma_distribution< _RealType >

SYNOPSIS

  Classes

struct param_type

  Public Types

typedef _RealType result_type

  Public Member Functions

gamma_distribution (_RealType __alpha_val=_RealType(1), _RealType __beta_val=_RealType(1))
gamma_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType alpha () const
_RealType beta () const
result_type max () const
result_type min () const
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
void param (const param_type &__param)
void reset ()

  Friends

template<typename _RealType1 , typename _CharT , typename _Traits > std::basic_ostream< _CharT, _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::gamma_distribution< _RealType1 > &__x)
bool operator== (const gamma_distribution &__d1, const gamma_distribution &__d2)
template<typename _RealType1 , typename _CharT , typename _Traits > std::basic_istream< _CharT, _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, std::gamma_distribution< _RealType1 > &__x)

Detailed Description

  template<typename _RealType = double>
class std::gamma_distribution< _RealType >" A gamma continuous distribution for random numbers.

The formula for the gamma probability density function is: p(x|lpha,ttaGamma(lpha)} (x/t^{-x/

Definition at line 2337 of file random.h.

Member Typedef Documentation

  template<typename _RealType = double> typedef _RealType std::gamma_distribution< _RealType >::result_type
The type of the range of the distribution.

Definition at line 2340 of file random.h.

Constructor & Destructor Documentation

  template<typename _RealType = double> std::gamma_distribution< _RealType >::gamma_distribution (_RealType __alpha_val = _RealType(1), _RealType __beta_val = _RealType(1)) [inline], [explicit]

Constructs a gamma distribution with parameters $lpha$ and $

Definition at line 2389 of file random.h.

Member Function Documentation

  template<typename _RealType = double> _RealType std::gamma_distribution< _RealType >::alpha () const [inline]

Returns the $lpha$ of the distribution.

Definition at line 2410 of file random.h.

  template<typename _RealType = double> _RealType std::gamma_distribution< _RealType >::beta () const [inline]

Returns the $t distribution.

Definition at line 2417 of file random.h.

  template<typename _RealType = double> result_type std::gamma_distribution< _RealType >::max () const [inline]

Returns the least upper bound value of the distribution.

Definition at line 2446 of file random.h.

  template<typename _RealType = double> result_type std::gamma_distribution< _RealType >::min () const [inline]

Returns the greatest lower bound value of the distribution.

Definition at line 2439 of file random.h.

  template<typename _RealType = double> template<typename _UniformRandomNumberGenerator > result_type std::gamma_distribution< _RealType >::operator() (_UniformRandomNumberGenerator & __urng) [inline]

Generating functions.

Definition at line 2454 of file random.h.

  template<typename _RealType > template<typename _UniformRandomNumberGenerator > gamma_distribution< _RealType >::result_type std::gamma_distribution< _RealType >::operator() (_UniformRandomNumberGenerator & __urng, const param_type & __param)
Marsaglia, G. and Tsang, W. W. 'A Simple Method for Generating Gamma Variables' ACM Transactions on Mathematical Software, 26, 3, 363-372, 2000.

Definition at line 2337 of file bits/random.tcc.

  template<typename _RealType = double> param_type std::gamma_distribution< _RealType >::param () const [inline]

Returns the parameter set of the distribution.

Definition at line 2424 of file random.h.

  template<typename _RealType = double> void std::gamma_distribution< _RealType >::param (const param_type & __param) [inline]

Sets the parameter set of the distribution.

Parameters:
    __param The new parameter set of the distribution.

Definition at line 2432 of file random.h.

  template<typename _RealType = double> void std::gamma_distribution< _RealType >::reset () [inline]

Resets the distribution state.

Definition at line 2403 of file random.h.

Friends And Related Function Documentation

  template<typename _RealType = double> template<typename _RealType1 , typename _CharT , typename _Traits > std::basic_ostream<_CharT, _Traits>& operator<< (std::basic_ostream< _CharT, _Traits > & __os, const std::gamma_distribution< _RealType1 > & __x) [friend]

Inserts a gamma_distribution random number distribution __x into the output stream __os.

Parameters:
    __os An output stream.
    __x A gamma_distribution random number distribution.

Returns:
    The output stream with the state of __x inserted or in an error state.

  template<typename _RealType = double> bool operator== (const gamma_distribution< _RealType > & __d1, const gamma_distribution< _RealType > & __d2) [friend]

Return true if two gamma distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 2490 of file random.h.

  template<typename _RealType = double> template<typename _RealType1 , typename _CharT , typename _Traits > std::basic_istream<_CharT, _Traits>& operator>> (std::basic_istream< _CharT, _Traits > & __is, std::gamma_distribution< _RealType1 > & __x) [friend]

Extracts a gamma_distribution random number distribution __x from the input stream __is.

Parameters:
    __is An input stream.
    __x A gamma_distribution random number generator engine.

Returns:
    The input stream with __x extracted or in an error state.

Author

Generated automatically by Doxygen for libstdc++ from the source code.